=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2009-03-02 06:10:32 +0000
+++ loggerhead/controllers/annotate_ui.py	2009-03-06 20:36:09 +0000
@@ -58,6 +58,7 @@
         else:
             if highlight is not None:
                 hl_lines = highlight(file_name, ''.join(file_lines))
+                hl_lines.extend([u''] * (len(file_lines) - len(hl_lines)))
             else:
                 hl_lines = file_lines
 

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-03-05 23:41:51 +0000
+++ loggerhead/history.py	2009-03-06 20:43:13 +0000
@@ -631,8 +631,8 @@
         for old_path, new_path, fid, kind, text_modified, meta_modified in \
                 delta.renamed:
             renamed.append(util.Container(
-                old_path=rich_filename(old_path, kind),
-                new_path=rich_filename(new_path, kind), file_id=fid,
+                old_filename=rich_filename(old_path, kind),
+                new_filename=rich_filename(new_path, kind), file_id=fid,
                 text_modified=text_modified))
 
         for path, fid, kind in delta.removed:

